poswap(1)

NAME
poswap - Builds a new translation file with the target of the input language as source language.

SYNOPSIS

poswap [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-t|--template TEMPLATE] [-S|--timestamp] [--reverse] [--intermediate]

DESCRIPTION
Note: Ensure that the two po files correspond 100% to the same pot file before using
   this.

To translate Kurdish (ku) through French::

    poswap -i fr/ -t ku -o fr-ku

To convert the fr-ku files back to en-ku::

    poswap --reverse -i fr/ -t fr-ku -o en-ku

To translate Quechua (qu) through Spanish (es) using intermediate mode::

    poswap --intermediate -t en/ es/ es-qu/

Intermediate mode keeps the original source language (English) and adds the intermediate language translation (Spanish) as a translator comment, making it easier to translate through an intermediate language while keeping both languages visible.

See: http://docs.translatehouse.org/projects/translate-toolkit/en/latest/commands/poswap.html for examples and usage instructions.

OPTIONS

--version
    show program's version number and exit

-h/--help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress
    show progress as: dots, none, bar, names, verbose

--errorlevel
    show errorlevel as: none, message, exception, traceback

-i/--input
    read from INPUT in po, pot formats

-x/--exclude
    exclude names matching EXCLUDE from input paths

-o/--output
    write to OUTPUT in po, pot formats

-t/--template
    read from TEMPLATE in po, pot, pot formats

-S/--timestamp
    skip conversion if the output file has newer timestamp

--reverse
    reverse the process of intermediate language conversion

--intermediate
    use intermediate language mode: keep original source and add target as translator comment